import { ChangeDetectorRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Subject } from 'rxjs';
import { SdFormGenericChipCalendar } from '../../../../../../models';
import * as i0 from "@angular/core";
export declare class ChipCalendarComponent {
    #private;
    private ref;
    setVariables: Subject<{
        key: string;
        value: any;
    }>;
    form: FormGroup<{}>;
    value: any;
    entity: Record<string, any>;
    set _entity(val: Record<string, any>);
    component?: SdFormGenericChipCalendar;
    set _component(val: SdFormGenericChipCalendar);
    disabled: boolean;
    set _disabled(val: boolean | '' | undefined | null);
    required: boolean;
    set _required(val: boolean | '' | undefined | null);
    viewed: boolean;
    set _viewed(val: boolean | '' | undefined | null);
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipCalendarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipCalendarComponent, "lib-chip-calendar", never, { "setVariables": { "alias": "setVariables"; "required": true; }; "form": { "alias": "form"; "required": false; }; "_entity": { "alias": "entity"; "required": true; }; "_component": { "alias": "component"; "required": true; }; "_disabled": { "alias": "disabled"; "required": false; }; "_required": { "alias": "required"; "required": false; }; "_viewed": { "alias": "viewed"; "required": false; }; }, {}, never, never, true, never>;
}
